from typing import Optional
from uuid import uuid4, UUID
from pydantic import BaseModel, Field

# Output to frontend
class ProtoLandmark(BaseModel) :
    """fef"""

    uuid: UUID = Field(default_factory=uuid4)

    location : tuple
    attractiveness : int
    duration : Optional[int] = 5

    must_do : Optional[bool] = False
    must_avoid : Optional[bool] = False